import { AnnotationLayer } from '../../pdfjs';
import { LayerBuilder } from './layer-builder';
export declare class AnnotationLayerBuilder extends LayerBuilder {
    private _annotationLayer?;
    get annotationLayer(): AnnotationLayer | undefined;
    canRegister(): boolean;
    render(): Promise<void>;
    hasEditableAnnotations(): boolean;
    private updatePresentationModeState;
}
